;; $Id: dot_emacs,v 1.2 2003/07/18 23:28:28 tonygraham Exp $

;; XSL mode
(autoload 'xsl-mode "xslide" "Major mode for XSL stylesheets." t)

;; Uncomment if you want to use `xsl-grep' outside of XSL files.
;(autoload 'xsl-grep "xslide" "Grep for PATTERN in files matching FILESPEC." t)

;; Uncomment if you want to use `xslide-process' in `xml-mode'.
;(autoload 'xsl-process "xslide-process" "Process an XSL stylesheet." t)
;(add-hook 'xml-mode-hook
;	  (lambda ()
;	    (define-key xml-mode-map [(control c) (meta control p)]
;	      'xsl-process)))

;; Turn on font lock when in XSL mode
(add-hook 'xsl-mode-hook
	  'turn-on-font-lock)

(setq auto-mode-alist
      (append
       (list
	'("\\.fo" . xsl-mode)
	'("\\.xsl" . xsl-mode))
       auto-mode-alist))

;; Uncomment if using abbreviations
;(abbrev-mode t)
(setq load-path (append load-path '("/usr/share/emacs/site-lisp/xslide")))

;; "Used for prefix and colon portion of formatting object elements and attributes"
(make-face 'xsl-fo-alternate-face)
(set-face-foreground 'xsl-fo-alternate-face "Midnight Blue")

;; "Used for literal result element tags"
(make-face 'xsl-other-element-face)
(set-face-foreground 'xsl-other-element-face "Midnight Blue")

(make-face 'xsl-fo-main-face)
(set-face-foreground 'xsl-other-element-face "Midnight Blue")

